RDF::Trine::Exporter::RDFPatch(3pm)

NAME
RDF::Trine::Exporter::RDFPatch - RDF-Patch Export

VERSION
This document describes RDF::Trine::Exporter::RDFPatch version 1.014

SYNOPSIS
 use RDF::Trine::Exporter::RDFPatch;
 my $serializer = RDF::Trine::Exporter::RDFPatch->new();

DESCRIPTION
The RDF::Trine::Exporter::RDFPatch class provides an API for serializing RDF graphs to the RDF-Patch syntax.

METHODS

"new ( sink => $sink )"
    Returns a new RDF-Patch exporter object.

"comment ( $c )"
    Serializes a comment with the given string.

"emit_operation ( $op, @operands )"
    Serializes an operation identified by the character $op, followed by @operands (separated by a single space) and a trailing DOT and newline.

"add ( $st )"
    Serializes an add/insert operation for the given statement object.

"delete ( $st )"
    Serializes a delete operation for the given statement object.

"statement_as_string ( $st )"
    Returns a string with the supplied RDF::Trine::Statement object serialized as an RDF-Patch string.

"terms_as_string_list ( @terms )"
    Returns a list with each supplied term serialized as RDF-Patch strings.

"node_as_concise_string"
    Returns a string representation using RDF-Patch syntax shortcuts (e.g. PrefixNames).

NOTES
As described in "as_ntriples" in RDF::Trine::Node::Resource, serialization will decode any punycode <http://www.ietf.org/rfc/rfc3492.txt> that is included in the IRI, and serialize it using unicode codepoint escapes.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

SEE ALSO
<http://afs.github.io/rdf-patch/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.